cascading.flow.planner.graph

## Class ElementMultiGraph.DirectedMultiGraph

- java.lang.Object
- - org.jgrapht.graph.AbstractGraph<V,E>
  - - org.jgrapht.graph.AbstractBaseGraph<V,E>
    - - org.jgrapht.graph.DirectedMultigraph<FlowElement,Scope>
      - - cascading.flow.planner.graph.ElementMultiGraph.DirectedMultiGraph

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, org.jgrapht.DirectedGraph<FlowElement,Scope>, org.jgrapht.Graph<FlowElement,Scope>
  Enclosing class:
    ElementMultiGraph

      protected class ElementMultiGraph.DirectedMultiGraph
      extends org.jgrapht.graph.DirectedMultigraph<FlowElement,Scope>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jgrapht.graph.AbstractBaseGraph

      `org.jgrapht.graph.AbstractBaseGraph.DirectedEdgeContainer<VV,EE>, org.jgrapht.graph.AbstractBaseGraph.DirectedSpecifics, org.jgrapht.graph.AbstractBaseGraph.UndirectedSpecifics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementMultiGraph.DirectedMultiGraph()`
    `ElementMultiGraph.DirectedMultiGraph(org.jgrapht.DirectedGraph<FlowElement,Scope> parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.jgrapht.graph.AbstractBaseGraph.DirectedSpecifics` | `createDirectedSpecifics()`

    - ### Methods inherited from class org.jgrapht.graph.DirectedMultigraph

      `builder, builder`

    - ### Methods inherited from class org.jgrapht.graph.AbstractBaseGraph

      `addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, createUndirectedSpecifics, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

    - ### Methods inherited from class org.jgrapht.graph.AbstractGraph

      `assertVertexExist, containsEdge, equals, hashCode, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jgrapht.DirectedGraph

      `incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

    - ### Methods inherited from interface org.jgrapht.Graph

      `addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

- - ### Constructor Detail

    - #### ElementMultiGraph.DirectedMultiGraph

          public ElementMultiGraph.DirectedMultiGraph()

    - #### ElementMultiGraph.DirectedMultiGraph

          public ElementMultiGraph.DirectedMultiGraph(org.jgrapht.DirectedGraph<FlowElement,Scope> parent)

  - ### Method Detail

    - #### createDirectedSpecifics

          protected org.jgrapht.graph.AbstractBaseGraph.DirectedSpecifics createDirectedSpecifics()

      Overrides:
        `createDirectedSpecifics` in class `org.jgrapht.graph.AbstractBaseGraph<FlowElement,Scope>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.